summaryrefslogtreecommitdiffstats
path: root/system/lxpolkit/lxpolkit.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/lxpolkit/lxpolkit.SlackBuild')
-rw-r--r--system/lxpolkit/lxpolkit.SlackBuild12
1 files changed, 3 insertions, 9 deletions
diff --git a/system/lxpolkit/lxpolkit.SlackBuild b/system/lxpolkit/lxpolkit.SlackBuild
index 0cae05303a..583d654861 100644
--- a/system/lxpolkit/lxpolkit.SlackBuild
+++ b/system/lxpolkit/lxpolkit.SlackBuild
@@ -7,16 +7,14 @@
# generated by Grissiom's sbo-dev-helper
PRGNAM=lxpolkit
-VERSION=${VERSION:-20100726_0ce3d64}
+VERSION=${VERSION:-0.1.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -55,7 +53,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-sh autogen.sh
+sh autogen.sh || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -64,15 +62,11 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \